.footer {
    font-family: "Helvetica Neue",Arial,"Hiragino Kaku Gothic ProN","Hiragino Sans","Noto Sans JP",Meiryo,sans-serif;
    display: grid;
    place-items: center;
    color: var(--white);
    background-color: var(--black);

    row-gap: 16px;

    .footer--header {
        padding: 32px 5% 0;

        display: grid;
        place-items: center;
        width: 100%;

        .media {
            width: auto;
        }

        .media--imgBox {
            width: 160px;
        }

        .media--text {
            color: var(--white);
            transform: translateZ(0);
            -webkit-transform: translateZ(0);
        }
    }

    .footer--bottom {
        padding: 0 5%;

        .footer--menu {
            display: flex;
            column-gap: 32px;
        }

        .footer--menuItem {
            list-style: none;
            border-right: 1px solid var(--white);
            padding-right: 32px;
        }

        .footer--menuItem:last-of-type {
            border-right: none
        }
        
        .footer--menuLink {
            color: var(--white);
        }
    }

    .footer--copyright {
        width: 100%;
        background-color: var(--lightgrey);
        text-align: center;
    }
}

@media screen and (max-width: 599px) {
    /* 599pxまでの幅の場合に適応される */
    .footer {

        padding-bottom: 128px;

        .footer--header {
            .media {
                width: 100%;
            }
        }

        .footer--bottom {
            
            width: 100%;

            .inner-medium {
                justify-content: left;
            }

            .footer--menu {
                flex-direction: column;
                row-gap: 8px;
            }

            .footer--menuItem {
                border-right: unset;
                padding-right: 0;
                text-decoration: underline;
            }
        }
    }
}